# Import Sync Spend

This is a specialized version of the Metadata import below and is available for all customers regardless of them having Data Syncs enabled or not. We suggest you use this option if you are specifically looking to import spend data into HockeyStack since it can behave differently than other data points.

To set it up, go to **Settings → Data Syncs → Add Connection → Google Sheets**. In the **Data Options** dropdown, select **Custom Spend** to start syncing your data.

## Example Schema

Each row has a timestamp and the combination of campaign, ad group, ad, and UTM information.

<table data-full-width="true"><thead><tr><th width="181.75390625">Column Name</th><th width="165.95703125">Example Value</th><th width="153.34765625">Requirement<select><option value="J7HQWGSO4Dna" label="required" color="blue"></option><option value="RK5EASp0s6Tw" label="recommended" color="blue"></option><option value="HxLQ7fLgioTx" label="optional" color="blue"></option></select></th><th>Description</th></tr></thead><tbody><tr><td>date</td><td>2025-03-18</td><td><span data-option="J7HQWGSO4Dna">required</span></td><td>The date of the campaign / ad metric</td></tr><tr><td>campaign_name</td><td>SaaStr Booth</td><td><span data-option="J7HQWGSO4Dna">required</span></td><td>Name of your campaign</td></tr><tr><td>spend</td><td>45300.16</td><td><span data-option="J7HQWGSO4Dna">required</span></td><td>Numerical value of spend without a currency symbol, or commas</td></tr><tr><td>network</td><td>Field Marketing</td><td><span data-option="RK5EASp0s6Tw">recommended</span></td><td>Campaign or ad network to group the metrics by (i.e. Google Ads is also an ad network)</td></tr><tr><td>utm_campaign</td><td>saastr-booth-cm</td><td><span data-option="RK5EASp0s6Tw">recommended</span></td><td>Not required, but very helpful when included to be able to connect this to website pageviews</td></tr><tr><td>campaign_id</td><td>19928</td><td><span data-option="RK5EASp0s6Tw">recommended</span></td><td>ID of your campaign</td></tr><tr><td>adgroup_id</td><td>9898129</td><td><span data-option="HxLQ7fLgioTx">optional</span></td><td>ID of your Ad Group</td></tr><tr><td>adgroup_name</td><td>Retargeting F24</td><td><span data-option="HxLQ7fLgioTx">optional</span></td><td>Name of your Ad Group</td></tr><tr><td>account_id</td><td>001FKQN2DJA5</td><td><span data-option="HxLQ7fLgioTx">optional</span></td><td>ID from CRM</td></tr><tr><td>currency</td><td>USD</td><td><span data-option="HxLQ7fLgioTx">optional</span></td><td>Recommended if ingesting spend data. Three letter currency code</td></tr><tr><td>impressions</td><td>95380</td><td><span data-option="HxLQ7fLgioTx">optional</span></td><td>Numerical value of impressions, without commas</td></tr><tr><td>clicks</td><td>3318</td><td><span data-option="HxLQ7fLgioTx">optional</span></td><td>Numerical value of clicks, without commas</td></tr><tr><td>url</td><td>www.testurl.com/?open-page</td><td><span data-option="HxLQ7fLgioTx">optional</span></td><td>Page URL of campaign</td></tr></tbody></table>

{% hint style="info" %}
**Important:**\
Although `spend`, `impressions` and `clicks` by themselves are not required, it is mandatory to include at least one of them to be able to measure it as metrics.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hockeystack.com/integrations/datasyncs/configure-a-datasync-import/setting-up-your-data-for-import/import-sync-spend.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
